\section{Parameter Sweep}\label{appendix:parameter_sweep}
\begin{figure}[tp]
    \begin{minipage}{0.49\textwidth}
    \begin{center}
    \includegraphics[width=1.0\textwidth]
        {figures/em-bright/parameter_sweep_ns_snr_variation_cfar_threshold.pdf} \\
    $\hasns$
    \end{center}
    \end{minipage}
    \begin{minipage}{0.49\textwidth}
    \begin{center}
        \includegraphics[width=1.0\textwidth]
        {figures/em-bright/parameter_sweep_em_snr_variation_cfar_threshold.pdf} \\
    $\hasremnant$
    \end{center}
    \end{minipage}
    \caption[Extension of Fig.~\ref{fig:ml_parameter_sweep} to all
    parameters used in training.]{This figure is an extension of
    Fig.~\ref{fig:ml_parameter_sweep}. Here we see the behavior of
    the predictions from the binary classifiers as the signal to
    noise (SNR) of recovery increases. \textbf{Left panel:}
    Variation in $\hasns$ with SNR. \textbf{Right panel:} Variation
    in $\hasremnant$ with SNR.}
    \label{fig:ml_parameter_sweep_snr_variation}
\end{figure}

In this section, we make in extension of the parameter sweep results
shown in Fig.~\ref{fig:ml_parameter_sweep}. Here we sweep over the
$(m_1, m_2)$ values but keep the values of the spins fixed, only varying
the signal-to-noise (SNR). The result is shown in
Fig.~\ref{fig:ml_parameter_sweep_snr_variation}. It is expected that the
uncertainty in the recovered parameter should decrease with the increase
in SNR which manifests as a decrease in the \emph{fuzzy} region separating
the \emph{bright} ($\hasns = 1$/$\hasremnant = 1$) and \emph{dark}
($\hasns = 0$/$\hasremnant = 0$) regions.

\section{GstLAL Injection Sets}\label{appendix:injection_sets}
\begin{table}
    \begin{center}
    \begin{tabular}{lll}
    \hline
    GstLAL chunk & Start date & End date\\
    \hline
    \hline
    Chunk 02 & \texttt{Wed Nov 30 16:00:00 GMT 2016} & \texttt{Fri Dec 23 00:00:00 GMT 2016} \\
    Chunk 03 & \texttt{Wed Jan 04 00:00:00 GMT 2017} & \texttt{Sun Jan 22 08:00:00 GMT 2017} \\
    Chunk 04 & \texttt{Sun Jan 22 08:00:00 GMT 2017} & \texttt{Fri Feb 03 16:20:00 GMT 2017} \\
    Chunk 05 & \texttt{Fri Feb 03 16:20:00 GMT 2017} & \texttt{Sun Feb 12 15:30:00 GMT 2017} \\
    Chunk 06 & \texttt{Sun Feb 12 15:30:00 GMT 2017} & \texttt{Mon Feb 20 13:30:00 GMT 2017} \\
    Chunk 07 & \texttt{Mon Feb 20 13:30:00 GMT 2017} & \texttt{Tue Feb 28 16:30:00 GMT 2017} \\
	Chunk 08 & \texttt{Tue Feb 28 16:30:00 GMT 2017} & \texttt{Fri Mar 10 13:35:00 GMT 2017} \\
    Chunk 09 & \texttt{Fri Mar 10 13:35:00 GMT 2017} & \texttt{Sat Mar 18 20:00:00 GMT 2017} \\
	Chunk 10 & \texttt{Sat Mar 18 20:00:00 GMT 2017} & \texttt{Mon Mar 27 12:00:00 GMT 2017} \\
    Chunk 11 & \texttt{Mon Mar 27 12:00:00 GMT 2017} & \texttt{Tue Apr 04 16:00:00 GMT 2017} \\
    Chunk 12 & \texttt{Tue Apr 04 16:00:00 GMT 2017} & \texttt{Fri Apr 14 21:25:00 GMT 2017} \\
    Chunk 13 & \texttt{Fri Apr 14 21:25:00 GMT 2017} & \texttt{Sun Apr 23 04:00:00 GMT 2017} \\
    Chunk 14 & \texttt{Sun Apr 23 04:00:00 GMT 2017} & \texttt{Mon May 08 16:00:00 GMT 2017} \\
    Chunk 15 & \texttt{Fri May 26 06:00:00 GMT 2017} & \texttt{Sun Jun 18 18:30:00 GMT 2017} \\
    Chunk 16 & \texttt{Sun Jun 18 18:30:00 GMT 2017} & \texttt{Fri Jun 30 02:30:00 GMT 2017} \\
    Chunk 17 & \texttt{Fri Jun 30 02:30:00 GMT 2017} & \texttt{Sat Jul 15 00:00:00 GMT 2017} \\
    Chunk 18 & \texttt{Sat Jul 15 00:00:00 GMT 2017} & \texttt{Thu Jul 27 19:00:00 GMT 2017} \\
    \hline
    \end{tabular}
    \end{center}
    \caption[Calender times for GstLAL injection datasets.]{The table contains the
    calender times for the GstLAL fake injection datasets.}
    \label{tab:ml_population_distribution}
\end{table}
In this section, we report the calender dates for the injection sets used in this
study. These are tabulated in Table~\ref{tab:ml_population_distribution}. The chunks
cover most of the duration of the observing run, although they may not be contiguous
corresponding to break in the observing run. Three detector injections were performed
about the last $\sim 1$ month of the second observing run. Thus, their length and hence
the missed found injections are smaller in number. As a future work, we plan to re-analyze
the performance of the classifier based on injection campaigns in the third observing
run as they are performed.